%define unmangled_name beancount

%define mangled_name python3-beancount
%define version 2.3.4
%define unmangled_version 2.3.4
%define release %{?build_number}%{?!build_number:1}%{?dist}

Summary: Command-line Double-Entry Accounting
Name: %{mangled_name}
Requires: python3-test, python-dateutil, python3-ply, python3-bottle, python3-lxml, python3-beautifulsoup4, python3-requests, python3-chardet, python3-google-api-python-client
BuildRequires: python3-devel, python3-setuptools
Version: %{version}
Release: %{release}
Source0: %{unmangled_name}-%{unmangled_version}.tar.gz
Patch0: dont-require-pythonmagic.diff
License: GNU GPLv2 only
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{unmangled_name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Vendor: Martin Blais <blais@furius.ca>
Url: http://furius.ca/beancount

%description

      A double-entry accounting system that uses text files as input.

      Beancount defines a simple data format or "language" that lets you define
      financial transaction records in a text file, load them in memory and
      generate and export a variety of reports, such as balance sheets or income
      statements. It also provides a client with an SQL-like query language to
      filter and aggregate financial data, and a web interface which renders
      those reports to HTML. Finally, it provides the scaffolding required to
      automate the conversion of external data into one's input file in
      Beancount syntax.
      

%prep
%setup -n %{unmangled_name}-%{unmangled_version} -n %{unmangled_name}-%{unmangled_version}
patch -p0 --binary < %{_sourcedir}/dont-require-pythonmagic.diff

%build
env CFLAGS="$RPM_OPT_FLAGS" python3 setup.py build

%install
python3 setup.py install  -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
